Subject: Re: bug#24279: Bug in xterm and/or fontconfig

From: Alex Kost <[email-masked]>
Date: Wed, 29 Nov 2017 13:01:00 +0300

Oleg Pykhalov (2017-11-28 10:14 +0300) wrote:

> Hello John,
>
> John Darrington <[email-masked]> writes:
>
>> In GuixSD:
>>
>> guix package -i xterm strace
>> strace xterm
>>
>> xterm starts as it should,  however observe many failed calls similar to:
>>  open("/gnu/store/b484nvn9nnr3ddclpz2fma9yxmimg2jj-fontconfig-2.11.94/lib/libXdmcp.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
>>
>>
>> Now in the xterm, hold down Ctrl and press any mouse button.
>> The xterm aborts with the following messages:
>>  Warning: Unable to load any usable ISO8859 font
>>  Error: Aborting: no font found
>
> I solved this issue by:
>
>   - Install a font-misc-misc as Mike Hunt from Gentoo forum suggests¹:
>
>     $ guix package -i font-misc-misc
>
>   - From "(guix) Application Setup"²:
>
>     $ xset +fp ~/.guix-profile/share/fonts/X11/misc

Just to mention: I have font-misc-misc and some other fonts in my
profile with the Xorg font path set accordingly.  Apparently, that's why
I didn't experience this bug :-)

-- 
Alex